<%@ Page Language="C#" AutoEventWireup="true" CodeFile="videodetails.aspx.cs" Inherits="system_Video_videodetails" %>

<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>
<%@ Import Namespace="System.Data" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>视频资源库</title>
    <link href="/App_Themes/SystemCSS/css/core.css" rel="stylesheet" type="text/css" />
<link href="/App_Themes/SystemCSS/css/base.css" rel="stylesheet" type="text/css" />
<script src="/App_Themes/SystemCSS/js/jquery-1.4.3.min.js" type="text/javascript"></script>

    <script src="../../images/swfobject.js" type="text/javascript"></script>
</head>
<body style="background:#fff;">
    <form id="form1" runat="server">
    <div class="right" id="RightHighSet">
<div class="r_tit"><h2><%=dr["Title"] %></h2></div>
<div class="t_h48"></div><!--留空48PX-->
<div class="r_xx_bd">
<div class="show_tit"><%=dr["Title"] %></div>
<div class="show_video">
    <div id="CuPlayer" style="text-align:center; margin:20px 0px 20px 0px;"></div>
    <script type="text/javascript">
                var so = new SWFObject("Images/CuPlayerMiniV3_Black_S.swf","CuPlayer","600","400","9","#000000");
                so.addParam("allowfullscreen","true");
                so.addParam("allowscriptaccess","always");
                so.addParam("wmode","opaque");
                so.addParam("quality","high");
                so.addParam("salign", "lt");
                so.addVariable("CuPlayerFile", "<%=dr["Video2"] %>");
                so.addVariable("CuPlayerImage","Images/flashChangfa2.jpg");
                so.addVariable("CuPlayerShowImage","true");
                so.addVariable("CuPlayerWidth","600");
                so.addVariable("CuPlayerHeight","400");
                so.addVariable("CuPlayerAutoPlay","false");
                so.addVariable("CuPlayerAutoRepeat","true");
                so.addVariable("CuPlayerShowControl","true");
                so.addVariable("CuPlayerAutoHideControl","false");
                so.addVariable("CuPlayerAutoHideTime","6");
                so.addVariable("CuPlayerVolume","80");
                so.addVariable("CuPlayerGetNext","false");
                so.write("CuPlayer");	
            </script>
</div>
<div class="show_talk">
<% foreach (DataRow dr2 in dt.Rows)
   {%>
<dl>
<dt><cite><%=dr2["AddTime"] %></cite><%=dr2["Name"].ToString()!=""?dr2["Name"].ToString():dr2["Account"].ToString() %></dt>
<dd><%=dr2["Content"] %></dd>
</dl>
<%} %>
</div>

<div style="margin:20px 0px 20px 0px;">
    <table align='center' style='clear:both;'><tr><td><webdiyer:aspnetpager id="AspNetPager1" horizontalalign="Center" font-bold="true"
                    runat="server" width="100%" centercurrentpagebutton="True" onpagechanging="AspNetPager1_PageChanging"
                    firstpagetext="首页" prevpagetext="上一页" nextpagetext="下一页" lastpagetext="尾页" pageindexboxtype="TextBox"
                    currentpagebuttontextformatstring="{0:[0]}" alwaysshow="false" shownavigationtooltip="True"
                    pagesize="10">
                </webdiyer:aspnetpager></td></tr></table>
        </div>

<div class="show_area">
<p class="s_msg">我要留言：</p>
<p>
    <asp:TextBox ID="txt_Content" runat="server" MaxLength="300" Rows="4" 
        TextMode="MultiLine"></asp:TextBox></p>
<p>
    <asp:Button ID="Button1" runat="server" Text="提交" onclick="Button1_Click" />
<input type="button" value="返回" onclick="window.location.href='video.aspx'" />
</p>
</div>

</div>


</div>

<script language="javascript">

    var MS = "IE";
    if (navigator.userAgent.indexOf("Firefox") > 0) {
        MS = "FF";
    }
    if (document.getElementById("RightHighSet") != null) {
        if (document.documentElement.clientHeight > 200) {
            document.getElementById("RightHighSet").style.height = document.documentElement.clientHeight + "px";
        }
    }

    var t = 0;

    window.onresize = function() {
        var now = new Date();
        now = now.getTime();
        if (now - t > 30) {
            if (document.getElementById("RightHighSet") != null) {
                if (document.documentElement.clientHeight > 200) {
                    document.getElementById("RightHighSet").style.height = document.documentElement.clientHeight + "px";
                }
                t = now;
            }
        }
    }
</script>
    </form>
</body>
</html>
